Ask Your Question
0

Help with installing robot_localizaition

asked 2018-07-15 02:29:44 -0500

hamzh.albar@gmail.com gravatar image

updated 2018-07-15 02:48:17 -0500

jayess gravatar image

Hello everyone

I am building a robot with a lidar and wheel encoders, as far as I understood, robot_localizaition will use the encoders data to help me with the localization of my robot ( correct me if i'm wrong please )

Now, I'm not sure how to install robot_localizaition , I'm using kientic on ubuntu 16.4

I tried using sudo apt-get install ros-kinetic-robot_localization and then go tocd~/catkin_ws, and catkin_make, and source devel/setup.bash

and finally roslaunch robot_localization ekf_template.launch but it give me an error saying

[ekf_template.launch ] is neither a launch file in package [robot_localization ] nor is [robot_localization ] a launch file name

Please help me with some detailed steps as I'm beginner to ROS.

Thank you

edit retag flag offensive close merge delete

Comments

1

Are you running ros-kinetic-robot_localization or ros-kinetic-robot-localization to install the robot_localization pakcage? If it's the first then you should have been given an error.

jayess gravatar image jayess  ( 2018-07-15 02:52:08 -0500 )edit

Thank you, That worked !! Now, after installing that, I'm not sure how to use it, any advice ?

hamzh.albar@gmail.com gravatar image hamzh.albar@gmail.com  ( 2018-07-15 03:01:12 -0500 )edit

Could you please mark my answer as correct then?

jayess gravatar image jayess  ( 2018-07-15 03:09:35 -0500 )edit

Sorry, I've never used that package.

jayess gravatar image jayess  ( 2018-07-15 03:09:49 -0500 )edit

hi. I have installed robot_localization package but i am not sure what should i do next? can you elaborate a bit about how to do after installing. I just ran this command, what should i do next. sudo apt-get install ros-kinetic-robot_localization i am getting this error.

ERROR: cannot launch node of type [robot_localization/ekf_localization_node]: can't locate node [ekf_localization_node] in package [robot_localization]

enthusiast.australia gravatar image enthusiast.australia  ( 2019-09-18 11:14:54 -0500 )edit

@enthusiast.australia you should create a new question

jayess gravatar image jayess  ( 2019-09-18 11:20:50 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2018-07-15 03:09:07 -0500

jayess gravatar image

Are you running ros-kinetic-robot_localization or ros-kinetic-robot-localization to install the robot_localization package? If it's the first then you should have been given an error.

Just a note, the package names have a _ in them but they're listed in apt with a - instead. So, robot_localization pakcage is listed as ros-<distro>-robot_localization.

edit flag offensive delete link more

Comments

@hamzh.albar@gmail.com">@hamzh.albar@gmail.com Could you please mark my answer as correct since it solved your problem?

jayess gravatar image jayess  ( 2018-07-15 10:40:36 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-07-15 02:29:44 -0500

Seen: 963 times

Last updated: Jul 15 '18